IBM Support

Upgrading to Jazz for Service Management Version 1.1.3.0 using Installation Manager results in a permission denied error

Technote (troubleshooting)


Problem(Abstract)

When upgrading Jazz for Service Management to Version 1.1.3.0 using Installation Manager, the installation fails with the following error:

Cannot run program "/space/IBM/JazzSM/ui/bin/wrapper.sh" (in directory "/space/IBM/JazzSM/ui/bin"): error=13, Permission denied [/space/IBM/JazzSM/install/tip/tipWrapp
erInstall.xml:215]

Cause

During the upgrade process the non-root user does not have the correct permissions to run the shell script. This is due to the following:
1. Jazz for Service Management is installed as a non-root user
2. Installation Manager is installed in user mode through root user


Resolving the problem

The upgrade must be initiated by using the attached script, which gives the non-root user (who originally installed this Jazz for Service Management instance) the correct permissions for the upgrade process.


The script takes two mandatory arguments and one optional argument.

Usage: ./JazzSMgrpModeUpgrade.sh "IM_Install_Location"
"
JazzSM_Install_Location"  "[Response_file_with_absolute_Path]"

For example (showing default installation paths): ./JazzSMgrpModeUpgrade.sh "/home/root/IBM/InstallManager/"  "/opt/IBM/JazzSM/"  "/opt/Download/dash_upgrade_rsp.xml"


For IM GUI mode installation, provide the 2 mandatory arguments; IM_Install_Location and JazzSM_Install_Location.
This argument combination invokes Installation Manager in GUI mode and lead you through the rest of the upgrade process.

For IM Silent installation, provide all 3 arguments; IM_Install_Location , JazzSM_Install_Location, and Response_file_with_absolute_Path.
This argument combination invokes Installation Manager in silent mode to upgrade JazzSM.

Document information

More support for: Tivoli Components
Jazz for Service Management

Software version: 1.1.3

Operating system(s): AIX, Linux

Reference #: 1985946

Modified date: 07 December 2016